WelcomeWelcome | FAQFAQ | DownloadsDownloads | WikiWiki

Author Topic: Firefox 52.0 Requires Pulseaudio  (Read 471 times)

Offline thane

  • Hero Member
  • *****
  • Posts: 607
Firefox 52.0 Requires Pulseaudio
« on: March 09, 2017, 12:11:58 AM »
This may be old news (and apologies if it's been discussed elsewhere) but Firefox 52.0 (and I assume subsequent versions) requires Pulseaudio.

When I initially upgraded FIrefox using firefox-getLatest the audio didn't work. Installing Pulseaudio.tcz and following the instructions in the info resolved the problem.

Offline pq5190362

  • Full Member
  • ***
  • Posts: 199
Re: Firefox 52.0 Requires Pulseaudio
« Reply #1 on: March 09, 2017, 02:08:48 AM »
This was done as per:

https://bugzilla.mozilla.org/show_bug.cgi?id=1247056

Users are already complaining about it in:

https://bugzilla.mozilla.org/show_bug.cgi?id=1345661

It can still be compiled with ALSA support though:

https://bugs.archlinux.org/task/53195

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2297
Re: Firefox 52.0 Requires Pulseaudio
« Reply #2 on: March 09, 2017, 03:27:59 AM »
Great... :|

v49.x.x perhaps still works..?
« Last Edit: March 09, 2017, 03:32:55 AM by coreplayer2 »

Offline pq5190362

  • Full Member
  • ***
  • Posts: 199
Re: Firefox 52.0 Requires Pulseaudio
« Reply #3 on: March 09, 2017, 03:48:59 AM »
Maybe the new ESR 52 release is not affected and does not require PulseAudio?

Has someone tried the new ESR 52 release already?

NPAPI is also still available specifically for ESR 52: https://bugzilla.mozilla.org/show_bug.cgi?id=1269807

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2297
Re: Firefox 52.0 Requires Pulseaudio
« Reply #4 on: March 09, 2017, 04:11:44 AM »
you  can run
Code: [Select]
firefox_getLatest.sh -mthen enter 51.0.1 at the prompt which is the last known working version I believe

You can try " 52.0esr ", or
try 53.0b1 (entered exactly as shown) to see if the issue has been rectified
« Last Edit: March 09, 2017, 04:27:15 AM by coreplayer2 »

Offline Misalf

  • Hero Member
  • *****
  • Posts: 1344
Re: Firefox 52.0 Requires Pulseaudio
« Reply #5 on: March 09, 2017, 07:16:14 AM »
FWIW, I did a quick test:

Firefox 52
PulseAudio Not installed
flash11.tcz installed
soundcloud.com

Audio works.

PulseAudio needed for HTML5?
Download a copy and keep it handy: Core book ;)

Offline polikuo

  • Jr. Member
  • **
  • Posts: 91
Re: Firefox 52.0 Requires Pulseaudio
« Reply #6 on: March 09, 2017, 07:35:28 AM »
Maybe it's site specific ?
Just run firefox_getLatest.sh, Firefox 52.
Loading only alsa no flash.

No sound:
youtube, http://postrocktu.es

Sound:
google drive, soundcloud.com

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2297
Re: Firefox 52.0 Requires Pulseaudio
« Reply #7 on: March 09, 2017, 09:29:00 AM »
The HTML5 plot thickens...

Some weeks ago while using Firefox 51.x.x Pandora.com upgraded their web site using HTML5 components, since that day I have lost the ability to play any music streamed from their site using Linux/Firefox.  While YouTube and other sites stream music perfectly if and only if Flash is installed.  All this took place before Firefox v52.

I have avoided the use of resource hungry pulseaudio considering the usage on an old notebook.
« Last Edit: March 09, 2017, 09:31:42 AM by coreplayer2 »

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2297
Re: Firefox 52.0 Requires Pulseaudio
« Reply #8 on: March 10, 2017, 03:26:08 PM »
I believe the issue is with the order of sound devices.

will post some options to resolve this asap

Offline thane

  • Hero Member
  • *****
  • Posts: 607
Re: Firefox 52.0 Requires Pulseaudio
« Reply #9 on: March 11, 2017, 12:43:27 AM »
Re not being able to play music, I had a similar experience a few weeks ago (prior to Firefox 52.0) with Amazon digital music I'd purchased. I wasn't able to play anything, even though I had been able to in earlier visits, which albeit were quite a while before.

Firefox 52.0 with Pulseaudio does play Amazon music.

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2297
Re: Firefox 52.0 Requires Pulseaudio
« Reply #10 on: March 11, 2017, 06:16:47 AM »
Thing is, if pulse audio takes the stream and directs it to the ideal hardware driver then the answer lies in Alsa's misconfiguration



Sent from my iPhone using Tapatalk

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2297
Re: Firefox 52.0 Requires Pulseaudio
« Reply #11 on: March 12, 2017, 01:22:36 PM »
Without support built into FF,  I'm not winning in my attempts to configure alsa. 

This mailing provides some insight to the issue.
https://groups.google.com/forum/#!searchin/mozilla.dev.platform/%22pulseaudio%22|sort:date/mozilla.dev.platform/jRAqSTri66I/HHJJJTpyBwAJ


At some point I came across this error: You may need to install the required PulseAudio software
and found answers here:  https://support.mozilla.org/t5/Videos-sound-pictures-and/Fix-common-audio-and-video-issues/ta-p/401

Maybe I'm fighting a loosing battle?

On the upside, I installed pulseaudio and ff uses Flash, or pulseaudio as required



Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2297
Re: Firefox 52.0 Requires Pulseaudio
« Reply #12 on: March 12, 2017, 09:12:59 PM »
I'm not sure I like using pulseaudio with dbus unless we have too.  But since we have little choice to get audio out of Firefox other than use pulseaudio, then we might as well have a gui interface with a volume control :)

Realizing its a personal choice, there are other options but I like to use pavucontrol-gtk2 extension which loads pulseaudio as a dep.   Setup as per pulseaudio info file.
Which is basically:
Code: [Select]
tce-load -wi pavucontrol-gtk2.tcz

echo  'dbus-launch --sh-syntax --exit-with-session' > ~/.X.d/dbus
sudo echo '/usr/local/etc/init.d/dbus start' >> /opt/bootlocal.sh
echo "start-pulseaudio-x11" > ~/.X.d/pulseaudio

Additionally,  for those Pandora.com (and similar) aficionados :p   we need to install libavcodec extension as well as Flash because of their latest HTML5 website remake.
Code: [Select]
tce-load -wi ibavcodec.tcz
then reboot

Offline pq5190362

  • Full Member
  • ***
  • Posts: 199
Re: Firefox 52.0 Requires Pulseaudio
« Reply #13 on: March 15, 2017, 07:16:39 AM »
Maybe I'm fighting a loosing battle?

Instead of fighting it, maybe it would be better if you would switch from maintaining Firefox to maintaining Chromium, to bring an actively maintained Chromium package to Tiny Core Linux:

http://forum.tinycorelinux.net/index.php/topic,19304.0.html

?

Offline coreplayer2

  • Hero Member
  • *****
  • Posts: 2297
Re: Firefox 52.0 Requires Pulseaudio
« Reply #14 on: March 15, 2017, 08:27:30 AM »
The reality is I already gave up trying to get audio out from Firefox direct to Alsa.  All new versions v52.x and up including ESR versions have been modified to support pulse-audio without exceptions, although they haven't yet removed the alsa code from the sources in case they find a volunteer to fix and maintain it..

I was never one to go with bloat when you can configure Alsa to work alone.   However, knowing pulse audio is the way to go in future, I'm happy to configure my sound with pulseaudio as it provides greater control of audio streams in terms of path and gain, besides it works great with HTML5 and latest Flash.  Support for both are needed for modern websites.